org.apache.felix.gogo.runtime.threadio

## Class ThreadIOImpl

- java.lang.Object
- - org.apache.felix.gogo.runtime.threadio.ThreadIOImpl

All Implemented Interfaces:
  ThreadIO

    @Capability(namespace="osgi.service",
                attribute="objectClass=\'org.apache.felix.service.threadio.ThreadIO\'")
    public class ThreadIOImpl
    extends Object
    implements ThreadIO

### Constructor Summary

Constructors
Constructor and Description
`ThreadIOImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Cancel the streams associated with the current thread.
`void` `setStreams(InputStream in, PrintStream out, PrintStream err)` Associate this streams with the current thread.
`void` `start()`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadIOImpl

    public ThreadIOImpl()

### Method Detail

#### start

    public void start()

#### stop

    public void stop()

#### close

    public void close()

Description copied from interface: `ThreadIO`
Cancel the streams associated with the current thread.

This method will not do anything when no streams are associated.

Specified by:
  `close` in interface `ThreadIO`

#### setStreams

    public void setStreams(InputStream in,
                           PrintStream out,
                           PrintStream err)

Description copied from interface: `ThreadIO`
Associate this streams with the current thread.

Ensure that when output is performed on System.in, System.out, System.err it will happen on the given streams.

The streams will automatically be canceled when the bundle that has gotten this service is stopped or returns this service.

Specified by:
  `setStreams` in interface `ThreadIO`
Parameters:
  `in` - InputStream to use for the current thread when System.in is used
  `out` - PrintStream to use for the current thread when System.out is used
  `err` - PrintStream to use for the current thread when System.err is used